dbXML API

## com.dbxml.db.core.security
Class Role

    java.lang.Object
      com.dbxml.db.core.security.Role

All Implemented Interfaces:
  XMLSerializable

public class Role
extends java.lang.Object
implements XMLSerializable

Role

Constructor Summary
`Role()`

Method Summary
`java.lang.String` `getId()`
`void` `setId(java.lang.String id)`
`void` `streamFromXML(org.w3c.dom.Element element)` streamFromXML streams an object from XML.
`org.w3c.dom.Element` `streamToXML(org.w3c.dom.Document doc)` streamToXML streams an object to XML.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Role

    public Role()

Method Detail

### streamToXML

    public org.w3c.dom.Element streamToXML(org.w3c.dom.Document doc)
                                    throws org.w3c.dom.DOMException

  Description copied from interface: `XMLSerializable`
  streamToXML streams an object to XML.

  Specified by:
    `streamToXML` in interface `XMLSerializable`
  Parameters:
    `doc` - The Owner Document
  Returns:
    A newly created Element
  Throws:
    `org.w3c.dom.DOMException` - If an error occurs

### streamFromXML

    public void streamFromXML(org.w3c.dom.Element element)
                       throws org.w3c.dom.DOMException

  Description copied from interface: `XMLSerializable`
  streamFromXML streams an object from XML.

  Specified by:
    `streamFromXML` in interface `XMLSerializable`
  Parameters:
    `element` - The Input Element
  Throws:
    `org.w3c.dom.DOMException` - If an error occurs

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

dbXML API

Copyright (c) 2004 The dbXML Group